CachePrefetch Cache

Prefetch Cache

Prefetch specific files into cache for a VoD pull zone

curl -X POST "https://api.5centscdn.com/v2/zones/vod/pull/42/prefetch" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY" \
  -d '{
  "files": [
    "/video/file.mp4",
    "/video/clip.mp4"
  ]
}'
{
  "result": "success",
  "message": "Zone updated successfully"
}
POST
/zones/vod/pull/{zoneid}/prefetch
POST
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

Content-Typestring
Required

The media type of the request body

Options: application/json
filesarray
Required

List of file paths to prefetch into cache.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

zoneidinteger
Required

Zone ID

Example:
42

Body

application/json
filesarray
Required

List of file paths to prefetch into cache.

Example:
["/video/file.mp4","/video/clip.mp4"]

Responses

resultstring

Status of the API response.

messagestring

Human-readable status message describing the outcome.